#ifndef __CONFIG_H__
#define __CONFIG_H__

#include <ArduinoJson.h>

class Config
{
public:
	Config();
	void setup();
	bool testResetConf();
	String getDefaultSsid();
	void setDefaultValues();
	bool loadConfig();
	bool saveConfig();
	bool parseFromJson(JsonDocument &doc);
	String toString();
	bool isConfigChanged();
	bool isNeedReboot();
	void setNeedReboot();
	void setAmiga5VPresence(bool state);
	void setTmpAp();
	void resetTmpAp();
	bool isTmpAp();

	String ps3Mac;			// mac addr for ps3 joy to connect
	String ssid;			// wifi ssid
	String password;		// wifi password
	String netName;			// mDNS name
	int numPlayer;			// player number displayed on ps3 joystick leds
	int inactivityTimeoutS; // inactivity timeout in seconds
	bool isAp;				// is wifi in Access Point mode ?
	bool mouseCapable;		// is will do mouse when necessary ?
	bool tmpAp;				// set Ap mode for just a boot, when cannot connect
	String sequences_on[SEQ_LAST];
	String sequences_off[SEQ_LAST];

private:
	bool configChanged = false;
	bool needReboot = false;
	bool amiga5VPresence = false;
};

#endif
