#ifndef __JOYMNGT_H__
#define __JOYMNGT_H__

#include "main.h"
#include "config.h"

#include "joyOut.h"

class JoyMngt
{

public:
	JoyMngt();
	void setup();
	void setJoyOut(JoyOut *joyout);
	void listen();	  // start listening
	void loop();	  // ps3 joystick loop
	void onConnect(); // from ps3 joystick callback
	void notify();	  // from ps3 joystick callback
	void setConfig(Config *conf);

private:
	JoyOut *joyOutObj;
	Config *config = nullptr;
	bool ps3JoyConnected = false;	  // is ps3 joystick connected
	ButtonStates_t buttonStates = {}; // button states
	bool lowBat = false;			  // low battery
	bool doDisconnectJoy = false;	  // asked to sidconnect ps3 joystick
	int countLastEventTimeSeconds;	  // last event time
	unsigned long lastMillis = 0;	  // last milliseconds
};

#endif
