#ifndef __JOYOUT_H__
#define __JOYOUT_H__

#include "main.h"
#include "config.h"

class JoyOut
{
public:
	JoyOut();
	void setup();
	void loop();
	void sendJoyStatesToOut(const bool newEvent, ButtonStates_t *buttonStates);
	void setJoyConnectedState(bool state);
	void sendAllOff();
	void setConfig(Config *conf);
	void setDisengaged(bool state);

private:
	void stateMachineButtons(Button_t *button, const char *name, const unsigned long now, const SeqEvent_e seqEvent);
	Config *config = nullptr;
	bool disengaged = false;
	bool mouseMode = false;
	int lastLedBlinkTimeMillis = 0;
	bool mouseLedState = false;
	bool joyConnectedState = false;
	int mouseX = 0;
	int mouseY = 0;
	int lastMouseX = 0;
	int lastMouseY = 0;
};

#endif
