#ifndef __MAIN_H__
#define __MAIN_H__

#include "conf.h"

typedef enum
{
	SEQ_cross = 0,
	SEQ_square,
	SEQ_triangle,
	SEQ_circle,
	SEQ_l1,
	SEQ_r1,
	SEQ_l2,
	SEQ_r2,
	SEQ_l3,
	SEQ_r3,
	SEQ_start,
	SEQ_select,
	SEQ_LAST
} SeqEvent_e;

typedef struct
{
	bool state;
	unsigned long eventTimeMs;
	int seqIdx;
} Button_t;

typedef struct
{
	Button_t cross;
	Button_t square;
	Button_t triangle;
	Button_t circle;

	bool up;
	bool left;
	bool down;
	bool right;

	Button_t l1;
	Button_t r1;
	Button_t l2;
	Button_t r2;

	Button_t l3;
	Button_t r3;

	Button_t select;
	Button_t start;

	bool ps;

	bool anaL_up;
	bool anaL_left;
	bool anaL_down;
	bool anaL_right;

	bool anaR_up;
	bool anaR_left;
	bool anaR_down;
	bool anaR_right;

	int anaL_vertValue;
	int anaL_horizValue;

} ButtonStates_t;

extern const char *seqsTxt[];

#endif
