#ifndef __NETWORKING_H__
#define __NETWORKING_H__

#include <ESPAsyncWebServer.h>
#include "config.h"

class Networking
{
public:
	Networking();
	void setup();
	void setConfig(Config *conf);
	void setDefaultSsid(String val);
	void onIndexRequest(AsyncWebServerRequest *request);
	void handle_notFound(AsyncWebServerRequest *request);
	void onWsEvent(AsyncWebSocket *server, AsyncWebSocketClient *client, AwsEventType type, void *arg, uint8_t *data, size_t len);
	void disconnectAll();
	void setAmiga5VPresence(bool state);

private:
	String defaultSsid;
	int wsClientConnected=0;
	AsyncWebServer *server = nullptr;
	AsyncWebSocket *ws = nullptr;
	void sendWsStates(AsyncWebSocketClient *client);
	Config *config;
	bool lastAmiga5VPresent = false;
};

#endif
