#include "webPage.h"

const char index_html[] PROGMEM = "<!DOCTYPE html> <html>\n"
"<meta charset=\"utf-8\" />\n"
"<head><meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0, user-scalable=no\">\n"
"\n"
"<title>ZenAmiSixaxis2</title>\n"
"\n"
"<style>\n"
"	body {background-image:repeating-linear-gradient(#000020,#800080,#000020 10%); }\n"
"	h1 {color: #FFFFFF;text-align: center;}\n"
"	div {color: #D0D0D0;}\n"
"	button {color: #FF0000;}\n"
"	#tableGeneral {border:0px;border-collapse: collapse;width:100%;white-space: nowrap;}\n"
"	#tableGeneral tr:hover {background-image:linear-gradient(#808080,#FFFFFF,#808080);color: #000000;}\n"
"	#AMIGAPRES {text-align:center;}\n"
"	#tableSequences {border:0px;border-collapse: collapse;width:100%;white-space: nowrap;}\n"
"	#tableSequences td input {width:100%;}\n"
"	#tableSequences tr:hover {background-image:linear-gradient(#404080,#8080FF,#404080);color: #000000;}\n"
"</style>\n"
"</head><body>\n"
"<h1>ZENAMISIXAXIS II</h1>\n"
"\n"
"<div id=\"conStateDiscon\"><H1><font color=\"red\">DISCONNECTED !</font></H1></div>\n"
"<div id=\"page\"></div>\n"
"\n"
"<script language=\"javascript\" type=\"text/javascript\">\n"
"\n"
"var isConnected=false;\n"
"\n"
"var reconTimer=window.setTimeout(tryReconnect, 1000);\n"
"var pingTimer,pingTimeoutTimer;\n"
"\n"
"function init()\n"
"{\n"
"	wsDebugWriteToScreen('<br><span style=\"color: red;\">ACTION:</span>INIT<br>');\n"
"\n"
"	var wsUri;\n"
"	var addr=window.location.hostname;\n"
"	// for dev only, comment next line with \"192.168.1.103\" for release :\n"
"	\n"
"	wsUri = 'ws://' + addr + '/ws';\n"
"\n"
"	wsWebsocket = new WebSocket(wsUri);\n"
"	wsWebsocket.onopen = function(evt) { wsOnWsOpen(evt) };\n"
"	wsWebsocket.onclose = function(evt) { wsOnWsClose(evt) };\n"
"	wsWebsocket.onmessage = function(evt) { wsOnWsMessage(evt) };\n"
"	wsWebsocket.onerror = function(evt) { wsOnWsError(evt) };\n"
"}\n"
"\n"
"function tryReconnect()\n"
"{\n"
"	if(!isConnected)\n"
"	{\n"
"		wsWebsocket.close();\n"
"		init();\n"
"	}\n"
"}\n"
"\n"
"\n"
"function wsOnWsOpen(evt)\n"
"{\n"
"	wsDebugWriteToScreen('<br><span style=\"color: red;\">ACTION:</span>Connected<br>');\n"
"	clearTimeout(pingTimer);\n"
"	pingTimer=window.setTimeout(ping, 1000);\n"
"	clearTimeout(reconTimer);\n"
"	clearTimeout(pingTimeoutTimer);\n"
"}\n"
"\n"
"function wsOnWsClose(evt)\n"
"{\n"
"	wsDebugWriteToScreen('<br><span style=\"color: red;\">ACTION:</span>Disconnected<br>');\n"
"	document.getElementById('page').style.visibility=\"hidden\";\n"
"	window.scrollTo(0, 0);\n"
"	document.getElementById('conStateDiscon').style.visibility=\"visible\";\n"
"	isConnected=false;\n"
"	clearTimeout(reconTimer);\n"
"	clearTimeout(pingTimer);\n"
"	clearTimeout(pingTimeoutTimer);\n"
"	reconTimer=window.setTimeout(tryReconnect, 1000);\n"
"}\n"
"\n"
"function wsOnWsMessage(evt)\n"
"{\n"
"	if(evt.data)\n"
"	{\n"
"		var message = evt.data;\n"
"		wsDebugWriteToScreen('<br><span style=\"color: red;\">RECV:</span>'+message+'<br>');\n"
"		\n"
"		var obj=JSON.parse(message);\n"
"		if(obj)\n"
"		{\n"
"			parseMessage(obj);\n"
"		}\n"
"	}\n"
"	document.getElementById('page').style.visibility=\"visible\";\n"
"	document.getElementById('conStateDiscon').style.visibility=\"hidden\";\n"
"	isConnected=true;\n"
"	clearTimeout(reconTimer);\n"
"}\n"
"\n"
"function wsOnWsError(evt)\n"
"{\n"
"	wsDebugWriteToScreen('<br><span style=\"color: red;\">ACTION:</span>ERROR<br>');\n"
"	isConnected=false;\n"
"	clearTimeout(reconTimer);\n"
"	clearTimeout(pingTimer);\n"
"	clearTimeout(pingTimeoutTimer);\n"
"	reconTimer=window.setTimeout(tryReconnect, 1000);\n"
"}\n"
"\n"
"function wsSendThat(message)\n"
"{\n"
"	wsDebugWriteToScreen('<br><span style=\"color: red;\">SEND:</span>'+message+'<br>');\n"
"	wsWebsocket.send(message+'\\n');\n"
"}\n"
"\n"
"function wsDebugWriteToScreen(message)\n"
"{\n"
"	var output = document.getElementById('debug');\n"
"\n"
"	if(output)\n"
"	{\n"
"		var pre = document.createElement('span');\n"
"		pre.style.wordWrap = 'break-word';\n"
"		pre.innerHTML = message;\n"
"		output.appendChild(pre);\n"
"	}\n"
"}\n"
"\n"
"function ping()\n"
"{\n"
"	wsSendThat('{\"PING\":true}');\n"
"	clearTimeout(pingTimeoutTimer);\n"
"	pingTimeoutTimer=window.setTimeout(pingTimeout, 500);\n"
"}\n"
"\n"
"function pingTimeout()\n"
"{\n"
"	wsWebsocket.close();\n"
"	wsOnWsClose(null);\n"
"}\n"
"\n"
"function onclickSendCtl(key)\n"
"{\n"
"	var dat=document.getElementById(key).value;\n"
"	wsSendThat('{\"'+key+'\":\"'+dat+'\"}');\n"
"}\n"
"\n"
"function onclickSendReboot()\n"
"{\n"
"	wsSendThat('{\"REBOOT\":true}');\n"
"}\n"
"\n"
"function onclickSendResetConf()\n"
"{\n"
"	wsSendThat('{\"RESETCONF\":true}');\n"
"}\n"
"\n"
"function onclickToggleIsAp()\n"
"{\n"
"	wsSendThat('{\"ISAP\":'+document.getElementById(\"ISAP\").checked+'}');\n"
"}\n"
"\n"
"function onclickToggleMouseCap()\n"
"{\n"
"	wsSendThat('{\"MOUSECAP\":'+document.getElementById(\"MOUSECAP\").checked+'}');\n"
"}\n"
"\n"
"function uncheckAp()\n"
"{\n"
"	wsSendThat('{\"ISAP\":false}');\n"
"}\n"
"\n"
"var page=document.getElementById('page');\n"
"function append2page(html)\n"
"{\n"
"	page.innerHTML += html;\n"
"}\n"
"\n"
"var butTxt=['Sixaxis MAC','WiFi SSID','WiFi PASS','Name (+ .local)','JoyStick Number','Inactivity Timeout'];\n"
"var butIds=['MAC','SSID','PASS','NETNAME','NUMPLAYER','JOYTIMEOUT'];\n"
"\n"
"page.innerHTML=('<H2>..::GENERAL::..</H2>');\n"
"\n"
"var tableGeneral=document.createElement('table');\n"
"tableGeneral.setAttribute('id','tableGeneral');\n"
"for(var i=0;i<butTxt.length;i++)\n"
"{\n"
"	tr=tableGeneral.insertRow();\n"
"	td=tr.insertCell();\n"
"	td.appendChild(document.createTextNode(butTxt[i]+' :'));\n"
"	td=tr.insertCell();\n"
"	lineEdit=document.createElement('input');\n"
"	lineEdit.setAttribute('id',butIds[i]);\n"
"	td.appendChild(lineEdit);\n"
"	td=tr.insertCell();\n"
"	button=document.createElement('button');\n"
"	button.setAttribute('onclick','onclickSendCtl(\\''+butIds[i]+'\\')');\n"
"	if(butIds[i]=='SSID')\n"
"	{\n"
"		button.setAttribute('onclick','{onclickSendCtl(\\''+butIds[i]+'\\');uncheckAp();}');\n"
"	}\n"
"	button.appendChild(document.createTextNode('SEND'));\n"
"	td.appendChild(button);\n"
"}\n"
"// IS AP\n"
"tr=tableGeneral.insertRow();\n"
"td=tr.insertCell();\n"
"td.appendChild(document.createTextNode('AP MODE :'));\n"
"td=tr.insertCell();\n"
"checkBox=document.createElement('input');\n"
"checkBox.setAttribute('type','checkbox');\n"
"checkBox.setAttribute('id','ISAP');\n"
"checkBox.setAttribute('onclick','onclickToggleIsAp()');\n"
"td.appendChild(checkBox);\n"
"page.appendChild(tableGeneral);\n"
"\n"
"// MOUSE CAPABLE\n"
"tr=tableGeneral.insertRow();\n"
"td=tr.insertCell();\n"
"td.appendChild(document.createTextNode('MOUSE (SELECT) :'));\n"
"td=tr.insertCell();\n"
"checkBox=document.createElement('input');\n"
"checkBox.setAttribute('type','checkbox');\n"
"checkBox.setAttribute('id','MOUSECAP');\n"
"checkBox.setAttribute('onclick','onclickToggleMouseCap()');\n"
"td.appendChild(checkBox);\n"
"page.appendChild(tableGeneral);\n"
"\n"
"// AMIGA 5V PRESENCE :\n"
"append2page('<div id=\"AMIGAPRES\"></div>');\n"
"\n"
"var sequences=['CROSS','SQUARE','TRIANGLE','CIRCLE','L1','R1','L2','R2','L3','R3','START','SELECT'];\n"
"\n"
"append2page('<H2>..::SEQUENCES::..</H2>');\n"
"\n"
"var tableSequences=document.createElement('table');\n"
"tableSequences.setAttribute('id','tableSequences');\n"
"for(var i=0;i<sequences.length;i++)\n"
"{\n"
"	tr=tableSequences.insertRow();\n"
"	td=tr.insertCell();\n"
"	td.appendChild(document.createTextNode(sequences[i]+' ON :'));\n"
"	td=tr.insertCell();\n"
"	lineEdit=document.createElement('input');\n"
"	lineEdit.setAttribute('id','SEQ_'+sequences[i]+'_ON');\n"
"	td.appendChild(lineEdit);\n"
"	td=tr.insertCell();\n"
"	button=document.createElement('button');\n"
"	button.setAttribute('onclick','onclickSendCtl(\\'SEQ_'+sequences[i]+'_ON\\')');\n"
"	button.appendChild(document.createTextNode('SEND'));\n"
"	td.appendChild(button);\n"
"\n"
"	tr=tableSequences.insertRow();\n"
"	td=tr.insertCell();\n"
"	td.appendChild(document.createTextNode(sequences[i]+' OFF :'));\n"
"	td=tr.insertCell();\n"
"	lineEdit=document.createElement('input');\n"
"	lineEdit.setAttribute('id','SEQ_'+sequences[i]+'_OFF');\n"
"	td.appendChild(lineEdit);\n"
"	td=tr.insertCell();\n"
"	button=document.createElement('button');\n"
"	button.setAttribute('onclick','onclickSendCtl(\\'SEQ_'+sequences[i]+'_OFF\\')');\n"
"	button.appendChild(document.createTextNode('SEND'));\n"
"	td.appendChild(button);\n"
"\n"
"}\n"
"page.appendChild(tableSequences);\n"
"\n"
"append2page('<H2>..::ACTIONS::..</H2>');\n"
"append2page('<button type=\"button\" onclick=\"onclickSendReboot()\">REBOOT</button><br/>');\n"
"append2page('<button type=\"button\" onclick=\"onclickSendResetConf()\">FACTORY DEFAULTS</button><br/>');\n"
"append2page('<p/>');\n"
"append2page('<div id=\"VERSION\"></div>');\n"
"append2page('<div id=\"COMPILEDATE\"></div>');\n"
"\n"
"\n"
"function parseMessage(obj)\n"
"{\n"
"	if(obj['EXIT'])\n"
"	{\n"
"		wsWebsocket.close();\n"
"		wsOnWsClose(null);\n"
"	}\n"
"\n"
"	for(var i=0;i<butTxt.length;i++)\n"
"	{\n"
"		if(obj[butIds[i]])\n"
"		{\n"
"			document.getElementById(butIds[i]).value=obj[butIds[i]];\n"
"		}\n"
"	}\n"
"	if('PONG' in obj)\n"
"	{\n"
"		clearTimeout(pingTimeoutTimer);\n"
"		clearTimeout(pingTimer);\n"
"		pingTimer=window.setTimeout(ping, 1000);\n"
"	}\n"
"	if('ISAP' in obj)\n"
"	{\n"
"		document.getElementById('ISAP').checked=obj['ISAP'];\n"
"	}\n"
"	if('MOUSECAP' in obj)\n"
"	{\n"
"		document.getElementById('MOUSECAP').checked=obj['MOUSECAP'];\n"
"	}\n"
"	if('VERSION' in obj)\n"
"	{\n"
"		document.getElementById('VERSION').innerHTML='Version '+obj['VERSION'];\n"
"	}\n"
"	if('COMPILEDATE' in obj)\n"
"	{\n"
"		document.getElementById('COMPILEDATE').innerHTML='Compiled '+obj['COMPILEDATE'];\n"
"	}\n"
"	if('AMIGAPRES' in obj)\n"
"	{\n"
"		if(obj['AMIGAPRES']==true)\n"
"		{\n"
"			document.getElementById(\"AMIGAPRES\").innerHTML='AMIGA 5V DETECTED';\n"
"		}\n"
"		else\n"
"		{\n"
"			document.getElementById(\"AMIGAPRES\").innerHTML='<font color=\"red\">AMIGA 5V NOT DETECTED</font>';\n"
"		}\n"
"	}\n"
"	for(var i=0;i<sequences.length;i++)\n"
"	{\n"
"		if(obj['SEQ_'+sequences[i]+'_ON'])\n"
"		{\n"
"			document.getElementById('SEQ_'+sequences[i]+'_ON').value=obj['SEQ_'+sequences[i]+'_ON'];\n"
"		}\n"
"		if(obj['SEQ_'+sequences[i]+'_OFF'])\n"
"		{\n"
"			document.getElementById('SEQ_'+sequences[i]+'_OFF').value=obj['SEQ_'+sequences[i]+'_OFF'];\n"
"		}\n"
"	}\n"
"\n"
"}\n"
"document.getElementById('page').style.visibility=\"hidden\";\n"
"\n"
"window.addEventListener('load', init, false);\n"
"</script>\n"
"\n"
"<!--div id=\"debug\"></div-->\n"
"\n"
"</body></html>\n"
"\n"
"\n"
;
